<template>
  <div class="container">
    <div class="wrapper" :class="{ 'expand-sidebar': expandSidebar }">
      <SideBarProfile
        class="sidebar shadow"
        :expand="expandSidebar"
        @expandClick="sidebarExpandClick"
      />
      <div class="main">
        <router-view></router-view>
      </div>
    </div>
  </div>
</template>

<script>
import SideBarProfile from "../components/SideBarProfile.vue";

export default {
  name: "Profile",
  components: {
    SideBarProfile,
  },
  data() {
    return {
      expandSidebar: true,
    };
  },
  methods: {
    sidebarExpandClick() {
      this.expandSidebar = !this.expandSidebar;
    },
  },
  beforeCreate: function () {
    document.body.className = "profile";
  },
  created() {
    if (!this.$store.state.users.me) this.$router.push({ name: "Login" });
  },
};
</script>

<style lang="scss">

body.profile {
  color: white;
  background-color: $bg-color;
  background-image: none;
}

.wrapper {
  min-height: 100%;
  display: grid;
  grid-template-columns: [sidebar] 70px [main] auto;
  column-gap: 2.5em;
}

.wrapper.expand-sidebar {
  grid-template-columns: [sidebar] minmax(0, 25%) [main] minmax(0, 75%);
}

.sidebar {
  grid-area: sidebar;
}

.main {
  grid-area: main;
  color: $gray-900;
  padding-top: 1em;
}

.label {
  font-size: 1.3em;
  font-weight: 600;
  margin: 0 0 0.7em 0.2em;
}
</style>